### Constructor

# GdkPixbuf.PixbufAnimation.new_from_resource

#### Declaration [src]

    GdkPixbufAnimation*
    gdk_pixbuf_animation_new_from_resource (
      const char* resource_path,
      GError** error
    )

#### Description [src]

Creates a new pixbuf animation by loading an image from an resource.

The file format is detected automatically. If `NULL` is returned, then `error` will be set.

#### Parameters

`resource_path` | `const char*`
| the path of the resource file
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string

#### Return value

Returns: `GdkPixbufAnimation`
A newly-created animation
Ownership of the data is transferred to the caller
Can be `NULL`